## org.apache.batik.ext.awt.image.codec.png
Class PNGTranscoderInternalCodecWriteAdapter

    java.lang.Object
      org.apache.batik.ext.awt.image.codec.png.PNGTranscoderInternalCodecWriteAdapter

All Implemented Interfaces:
  PNGTranscoder.WriteAdapter

    public class PNGTranscoderInternalCodecWriteAdapter

extends java.lang.Object
implements PNGTranscoder.WriteAdapter

This class is a helper to `PNGTranscoder` that writes PNG images through the internal PNG codec.

Constructor Summary
`PNGTranscoderInternalCodecWriteAdapter()`

Method Summary
`void` `writeImage(PNGTranscoder transcoder, java.awt.image.BufferedImage img, TranscoderOutput output)` Writes the specified image to the specified output.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PNGTranscoderInternalCodecWriteAdapter

    public PNGTranscoderInternalCodecWriteAdapter()

Method Detail

### writeImage

    public void writeImage(PNGTranscoder transcoder,
                           java.awt.image.BufferedImage img,
                           TranscoderOutput output)
                    throws TranscoderException

  Description copied from interface: `PNGTranscoder.WriteAdapter`
  Writes the specified image to the specified output.

  Specified by:
    `writeImage` in interface `PNGTranscoder.WriteAdapter`
  Parameters:
    `transcoder` - the calling PNGTranscoder
    `img` - the image to write
    `output` - the output where to store the image
  Throws:
    `TranscoderException`
  See Also:
    `PNGTranscoder.WriteAdapter.writeImage(org.apache.batik.transcoder.image.PNGTranscoder, java.awt.image.BufferedImage, org.apache.batik.transcoder.TranscoderOutput)`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.